let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const createVersionApi = async (projectId: string, createdBy: string, hierarchyVersion: string, versionName: string, description: string) => {
    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/V1/generateVersion`,
            {
                method: "POST",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
                body: JSON.stringify({
                    projectId,
                    createdBy,
                    hierarchyVersion,
                    versionName,
                    description
                })
            }
        );
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            echo.error("Failed to create Version History");
        }

        const result = await response.json();
        return result;
    } catch {
        echo.error("Failed to create Version History");
    }
};
